# git-ssh-fetch(1) Manual Page

## NAME

git-ssh-fetch - Fetch from a remote repository over ssh connection

## SYNOPSIS

git-ssh-fetch [-c] [-t] [-a] [-d] [-v] [-w filename] [--recover] commit-id url

## DESCRIPTION

Pulls from a remote repository over ssh connection, invoking git-ssh-upload on the other end. It functions identically to git-ssh-upload, aside from which end you run it on.

## OPTIONS

commit-id

  Either the hash or the filename under [URL]/refs/ to pull.

-c

  Get the commit objects.

-t

  Get trees associated with the commit objects.

-a

  Get all the objects.

-v

  Report what is downloaded.

-w

  Writes the commit-id into the filename under $GIT_DIR/refs/ on the local end after the transfer is complete.

## Author

Written by Daniel Barkalow <barkalow@iabervon.org>

## Documentation

Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>.

## GIT

Part of the git(7) suite